@import './base.css';

.search-view_section{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 80vw;
	max-width: 1024px;
	padding: 2rem 0 2rem 0;
	margin:0;
	text-align: center;
	
}
#search-input{
	margin: 2rem 0 1rem 0;
	padding: 0.2rem;
	border-style:groove;
	border-color: var(--ligthgrey);
	font-family: Arial, Helvetica, sans-serif;
}

#added-pokemon-text-container{
	display: flex;
	align-items: center;
	height: 2rem;
	text-align: center;
	margin-top:-1rem;
	margin-left:-10rem;
	height: 2rem;
	width: 20rem;
	position:fixed;
	top:28%;
	left:50%;
}

.added-to-team-text{
	border:2px solid var(--green);
	border-radius: 0.5rem;
	padding: 1em;
	width:15rem;
	text-align: center;
	margin: 0 auto;
	background-color: var(--lightgreen);
}

.added-to-spare-text{
	border:1px solid var(--orange);
	border-radius: 0.5rem;
	padding: 0.3em;
	width: 15rem;
	margin: 0 auto;
	text-align: center;
	background-color: var(--lightorange);
}

#preview-pictures-container{
	display: flex;
	flex-direction: column;
}


/* kod för mellanstor skärm */

@media screen and (min-width: 768px) {
	#preview-pictures-container{
		display: grid;
		grid-template-columns: repeat(3, 1fr);
		grid-template-rows: auto;
		gap: 1.4rem;
		max-width: 600px;
		margin: 0 auto;
	}
}

/* kod för stor skärm */

@media screen and (min-width: 1024px){
	#preview-pictures-container{
		display: grid;
		grid-template-columns: repeat(4, 1fr);
		grid-template-rows: auto;
		gap: 1.4rem;
		max-width: 800px;
		margin: 0 auto;
	}
}
